Bug 83455 - Hard lockups with Savage IX/MV if DPMS enabled
Hard lockups with Savage IX/MV if DPMS enabled
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2003-02-04 11:42 EST by Panu Matilainen
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-24 15:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Panu Matilainen 2003-02-04 11:42:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
On IBM T21 "S3 Inc. 86C270-294 Savage/IX-MV (rev 13)" (this also happens on T20,
I just dont have the exact model here, and most likely with T22 too) with
default XFree86 settings after installation XFree86 causes hard lockups after a
while if you leave the system idle. Happens almost always but it's not 100%
reproducible, with a lot of variation in how long it needs to idle before the
system locks up.

Taking out "Option DPMS" from XF86Config reliably fixes this - perhaps DPMS
should be disabled by default with this chip?

BTW this is by no means a new bug, it's been there as long as the Savage on T2x
has been supported (since RHL7.1 I think), just haven't gotten around to report
it :-/

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install any RH version 7.1 upwards on IBM T2[012]
2. Start up X in default settings
3. Wait ... 

Actual Results:  The system locks up hard, requiring a cold reboot.

Expected Results:  Shouldn't lock up...

Additional info:

I've only seen it when the LCD is in use but then I've never hooked it up to a
real monitor so dunno if it's related to that.
Comment 2 Mike A. Harris 2003-02-07 04:59:17 EST
Please attach your X server log and config file as text/plain.
Comment 3 Kjartan Maraas 2003-02-10 09:11:45 EST
This also happens on radeon chipsets, but only when it's running on battery.
Just a FYI
Comment 4 Mike A. Harris 2003-02-10 09:20:44 EST
Then it sounds like a kernel or APM bug or something requiring a workaround
in the kernel possibly.  I'll add some kernel engineers for comment...
Comment 5 Alan Cox 2003-02-10 14:54:37 EST
DPMS is being driven directly by XFree as I understsnd it, not via the kernel -
except for console mode blanking
Comment 6 Mike A. Harris 2003-02-11 07:40:56 EST
Yes, XFree86 handles DPMS, but DPMS is basically just flipping the H/V
sync polarity.  I've had reports of people claiming that DPMS is locking
up their computer, which was in fact some APM power saving misfeature
that wasn't working properly.  ;o)

IOW, if DPMS works when not on battery, I can't see how it could
_not_ work on battery.

Please disable APM entirely in your BIOS, and disable apmd at boot time.
Boot your machine without APM, and then start up X, and see if DPMS
fails then.  If it works, then it most likely is an APM issue.  If not
then we'll need to explore further.
Comment 7 Panu Matilainen 2004-09-23 10:53:55 EDT
Uh, had totally forgotten about this. The T21 in question started
crashing more and more over time indicating a hardware problem of some
sorts anyway - as far as I'm concerned feel free to close this as
NOTABUG, WONTFIX or whatever.
Comment 8 Mike A. Harris 2004-09-24 15:03:40 EDT
Ok, closing as "NOTABUG", thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.